<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <%- include('./partials/styles.ejs') %>
    <title>Battleship.tk - Login</title>
</head>
<body>
    <%- include('./partials/navbar.ejs') %>
    <div class="container-fluid content bg-light d-flex justify-content-center align-items-center">
        <div class="container card ">
            <div class="card-body">
                <div class="text-center">
                    <h2 class="font-weight-lighter">Registar</h2>
                </div>
    
                <%if (locals.errors) { %>
                    <div class="alert alert-danger" role="alert">
                        <ul>
                            <% locals.errors.map((error) => { %>
                                <li> <%= error %> </li>
                            <% }) %>
                        </ul>
                    </div>
                <%} %>
    
                <form method="POST" action="/register">
                    <div class="form-group">
                        <label for="">Username</label>
                        <input class="form-control" type="text" name="username" id="" value="<%= locals.body ? locals.body.username : null %>">
                    </div>
                    <div class="form-group">
                        <label for="">E-mail</label>
                        <input class="form-control" type="email" name="email" id="" value="<%= locals.body ? locals.body.email : null %>">
                    </div>
                    <div class="form-group">
                        <label for="">Password</label>
                        <input class="form-control" type="password" name="password" id="">
                    </div>
                    <div class="form-group">
                        <label for="">Repetir Password</label>
                        <input class="form-control" type="password" name="rpassword" id="">
                    </div>
                    <button type="submit" class="btn btn-secondary">Registar</button>
                    <div>
                        
                    </div>
                        
                </form>
            </div>
            </div>
            
        
    </div>
    <%- include('./partials/footer.ejs') %>
</body>
<%- include('./partials/scripts.ejs') %>
</html>